## ros-humble-rqt-py-common 1.1.5

=== debian/changelog ===
ros-humble-rqt-py-common (1.1.5-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rqt-py-common (1.1.4-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-rqt-py-common (1.1.3-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rqt-py-common (1.1.2-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 31 Aug 2021 00:00:00 -0000

ros-humble-rqt-py-common (1.1.1-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-rqt-py-common (1.1.0-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 07 Apr 2021 00:00:00 -0000

ros-humble-rqt-py-common (1.0.7-2jammy) jammy; urgency=high

  * Avoid installing test interfaces  (#228 <https://github.com/ros-visualization/rqt/issues/228>)
  * Contributors: Dirk Thomas

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-rqt-py-common (1.0.6-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 05 May 2020 00:00:00 -0000

ros-humble-rqt-py-common (1.0.5-2jammy) jammy; urgency=high

  * use Python debug executable for Windows debug builds (#196 <https://github.com/ros-visualization/rqt/issues/196>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 30 Sep 2019 00:00:00 -0000

ros-humble-rqt-py-common (1.0.2-2jammy) jammy; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 04 Feb 2019 00:00:00 -0000

ros-humble-rqt-py-common (1.0.1-2jammy) jammy; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 12 Dec 2018 00:00:00 -0000

ros-humble-rqt-py-common (1.0.0-2jammy) jammy; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 00:00:00 -0000

ros-humble-rqt-py-common (0.5.0-2jammy) jammy; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Apr 2017 00:00:00 -0000

ros-humble-rqt-py-common (0.4.7-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Mar 2017 00:00:00 -0000

ros-humble-rqt-py-common (0.4.6-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Feb 2017 00:00:00 -0000

ros-humble-rqt-py-common (0.4.5-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 03 Feb 2017 00:00:00 -0000

ros-humble-rqt-py-common (0.4.4-2jammy) jammy; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 24 Jan 2017 00:00:00 -0000

ros-humble-rqt-py-common (0.4.3-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 02 Nov 2016 00:00:00 -0000

ros-humble-rqt-py-common (0.4.2-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 19 Sep 2016 00:00:00 -0000

ros-humble-rqt-py-common (0.4.1-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 May 2016 00:00:00 -0000

ros-humble-rqt-py-common (0.4.0-2jammy) jammy; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 27 Apr 2016 00:00:00 -0000

ros-humble-rqt-py-common (0.3.13-2jammy) jammy; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Mar 2016 00:00:00 -0000

ros-humble-rqt-py-common (0.3.12-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Fri, 24 Jul 2015 00:00:00 -0000

ros-humble-rqt-py-common (0.3.11-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 30 Apr 2015 00:00:00 -0000

ros-humble-rqt-py-common (0.3.10-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Oct 2014 00:00:00 -0000

ros-humble-rqt-py-common (0.3.9-2jammy) jammy; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 18 Aug 2014 00:00:00 -0000

ros-humble-rqt-py-common (0.3.8-2jammy) jammy; urgency=high




