## ros-humble-rqt-py-common 1.1.7

=== debian/changelog ===
ros-humble-rqt-py-common (1.1.7-2bookworm) bookworm; urgency=high

  * Allow to autocomplete namespaced topics (#299 <https://github.com/ros-visualization/rqt/issues/299>) (#302 <https://github.com/ros-visualization/rqt/issues/302>)
  * Contributors: Alejandro Hernández Cordero

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rqt-py-common (1.1.6-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rqt-py-common (1.1.5-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rqt-py-common (1.1.4-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rqt-py-common (1.1.3-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rqt-py-common (1.1.2-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 30 Aug 2021 16:00:00 -0000

ros-humble-rqt-py-common (1.1.1-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 11 Apr 2021 16:00:00 -0000

ros-humble-rqt-py-common (1.1.0-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 06 Apr 2021 16:00:00 -0000

ros-humble-rqt-py-common (1.0.7-2bookworm) bookworm; urgency=high

  * Avoid installing test interfaces  (#228 <https://github.com/ros-visualization/rqt/issues/228>)
  * Contributors: Dirk Thomas

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 04 Feb 2021 16:00:00 -0000

ros-humble-rqt-py-common (1.0.6-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 04 May 2020 16:00:00 -0000

ros-humble-rqt-py-common (1.0.5-2bookworm) bookworm; urgency=high

  * use Python debug executable for Windows debug builds (#196 <https://github.com/ros-visualization/rqt/issues/196>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 29 Sep 2019 16:00:00 -0000

ros-humble-rqt-py-common (1.0.2-2bookworm) bookworm; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 03 Feb 2019 16:00:00 -0000

ros-humble-rqt-py-common (1.0.1-2bookworm) bookworm; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 11 Dec 2018 16:00:00 -0000

ros-humble-rqt-py-common (1.0.0-2bookworm) bookworm; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 10 Dec 2018 16:00:00 -0000

ros-humble-rqt-py-common (0.5.0-2bookworm) bookworm; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 23 Apr 2017 16:00:00 -0000

ros-humble-rqt-py-common (0.4.7-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Mar 2017 16:00:00 -0000

ros-humble-rqt-py-common (0.4.6-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 26 Feb 2017 16:00:00 -0000

ros-humble-rqt-py-common (0.4.5-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Feb 2017 16:00:00 -0000

ros-humble-rqt-py-common (0.4.4-2bookworm) bookworm; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 23 Jan 2017 16:00:00 -0000

ros-humble-rqt-py-common (0.4.3-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 01 Nov 2016 16:00:00 -0000

ros-humble-rqt-py-common (0.4.2-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 18 Sep 2016 16:00:00 -0000

ros-humble-rqt-py-common (0.4.1-2bookworm) bookworm; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 15 May 2016 16:00:00 -0000

ros-humble-rqt-py-common (0.4.0-2bookworm) bookworm; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 Apr 2016 16:00:00 -0000

ros-humble-rqt-py-common (0.3.13-2bookworm) bookworm; urgency=high

  * added unittest for MessageTreeModel
  * fixed message_tree_model to list individual elements of simple-type array elements
  * fixed topic_completer to handle array subscriptions
  * Contributors: Robert Haschke

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 07 Mar 2016 16:00:00 -0000


